//    
//    чтение из промежуточной таблицы
//    "TABLBANK\\OtpPlaPor.tmp"
// Вставить в "ф-ция для приема из файла"
//                                   user\OtPlaIn,ReadTabl,0


ReadTabl( AdrCTabl,       // адрес передаваемой таблицы
       AdrCListTabl,    // адрес списка таблиц
       RcrInList        // номер записи в списке таблиц
     )
{
   var CTabl = CreateObject("CurPrnTbl");
   CTabl.Initial(AdrCTabl);    // текущая таблица

   //string osb = CTabl.TextS("FCnumbank",0);       FreeSpaceString(osb,3,"");
   //string fil = CTabl.TextS("NFilB",0);           FreeSpaceString(fil,3,"");
   //string obr = CTabl.TextS("UslObr",0);          FreeSpaceString(obr,3,"");
   //string npp = CTabl.TextS("NumPlat",0);         FreeSpaceString(npp,3,"");
   //string dpp = CTabl.TextS("DataPlat",0);        FreeSpaceString(dpp,3,"");

   //CTabl.Clear();                                  // очистка таблицы
   int CurRcr = CTabl.Count_Rcr()-1;                   // устанвливаем счетчик


     var SprTabl = CreateObject("CurPrnTbl");              // промежуточная таблица
     SprTabl.InitialNameFile("TABLBANK\\OtpPlaPor.tmp");     // для передачи информации
     //SprTabl.Clear();                    // очистка таблицы не нужна    

     for ( int LRcr=0; LRcr<SprTabl.Count_Rcr(); LRcr++ )
       {         
         //string or = SprTabl.TextS("Order",LRcr);       FreeSpaceString(or,3,"");
         int tn = atoi(SprTabl.TextS("C_FIO",LRcr));
         double sm = atof(SprTabl.TextS("Sum",LRcr));
         double nl = atof(SprTabl.TextS("Nal",LRcr));
         string dp = SprTabl.TextS("DataPlat",LRcr);       FreeSpaceString(dp,3,"");

         if(tn)
          {
           char ls1[90];
           lsname(Find_Full_TN(tn),ls1);   FreeSpaceString(ls1,3,"");   
           lsread(ls1,0);                  // инициализация ТН

           char f[90],  i[90],  o[90],  crd[90];
           kch_from("f",f);  FreeSpaceString(f,3,"");
           kch_from("i",i);  FreeSpaceString(i,3,"");
           kch_from("o",o);  FreeSpaceString(o,3,"");
           //kch_from("BankCard",crd);  FreeSpaceString(crd,3,"");

           char fio[91];
           sprintf(fio,"%s %s %s",f,i,o); FreeSpaceString(fio,3,"");

           CTabl.Add_Rcr(CurRcr,1);
           //CTabl.STextS("Order",CurRcr, static_cast_to_string(or));
           CTabl.STextS("C_FIO",CurRcr, static_cast_to_string(tn));
           CTabl.STextS("FullFIO",CurRcr, static_cast_to_string(fio));

           CTabl.STextS("Fld100",CurRcr, static_cast_to_string(dp));
           CTabl.STextS("Fld130",CurRcr, static_cast_to_string(sm));
           CTabl.STextS("Fld140",CurRcr, static_cast_to_string(nl));
         
           CurRcr++;
          }
       }


     CTabl.Rewrite();

}
